classification
Title: hg touch fails on System Z Linux buildbot
Type: behavior Stage: resolved
Components: Tests Versions:
process
Status: closed Resolution: out of date
Dependencies: Superseder:
Assigned To: Nosy List: ezio.melotti, michael.foord, pitrou, serhiy.storchaka
Priority: normal Keywords: buildbot

Created on 2014-01-30 20:29 by serhiy.storchaka, last changed 2014-11-17 21:15 by serhiy.storchaka. This issue is now closed.

Messages (2)
msg209736 - (view) Author: Serhiy Storchaka (serhiy.storchaka) * (Python committer) Date: 2014-01-30 20:29
"Touching generated files failed" step fails on System Z Linux buildbot (http://buildbot.python.org/all/builders/System%20Z%20Linux%203.x/builds/1157/steps/shell/logs/stdio):

hg --config extensions.touch=Tools/hg/hgtouch.py touch -v
** unknown exception encountered, details follow
** report bug details to http://www.selenic.com/mercurial/bts
** or mercurial@selenic.com
** Mercurial Distributed SCM (version 1.0.2)
Traceback (most recent call last):
  File "/usr/bin/hg", line 20, in <module>
    mercurial.dispatch.run()
  File "/usr/lib64/python2.6/site-packages/mercurial/dispatch.py", line 20, in run
    sys.exit(dispatch(sys.argv[1:]))
  File "/usr/lib64/python2.6/site-packages/mercurial/dispatch.py", line 29, in dispatch
    return _runcatch(u, args)
  File "/usr/lib64/python2.6/site-packages/mercurial/dispatch.py", line 45, in _runcatch
    return _dispatch(ui, args)
  File "/usr/lib64/python2.6/site-packages/mercurial/dispatch.py", line 299, in _dispatch
    cmd, func, args, options, cmdoptions = _parse(lui, args)
  File "/usr/lib64/python2.6/site-packages/mercurial/dispatch.py", line 187, in _parse
    args = fancyopts.fancyopts(args, c, cmdoptions)
  File "/usr/lib64/python2.6/site-packages/mercurial/fancyopts.py", line 29, in fancyopts
    for short, name, default, comment in options:
ValueError: too many values to unpack
make: *** [touch] Error 1

I think upgrading Mercurial should fix this issue.
msg231296 - (view) Author: Serhiy Storchaka (serhiy.storchaka) * (Python committer) Date: 2014-11-17 21:15
Seems it was misconfiguration issue and it is fixed now.
History
Date User Action Args
2014-11-17 21:15:54serhiy.storchakasetstatus: open -> closed
resolution: out of date
messages: + msg231296

stage: resolved
2014-02-15 15:49:51ezio.melottisetkeywords: + buildbot
type: behavior
2014-01-30 20:29:39serhiy.storchakacreate